Resent-Date: Sat, 9 Jan 1999 03:04:39 +0100 (MET)
Sender: schmitz@lbl.gov
Date: Fri, 08 Jan 1999 18:04:38 -0800
From: Michael Schmitz <MSchmitz@lbl.gov>
Organization: Tinoco Lab, UC Berkekely / Lawrence Berkeley Laboratory
To: Roman Zippel <zippel@fh-brandenburg.de>
CC: linux-m68k@lists.linux-m68k.org
Subject: Re: experimental patches 2.1.131
References: <m0zyXv4-0020nlC@zeus.fh-brandenburg.de>
Resent-From: linux-m68k@phil.uni-sb.de

This is a multi-part message in MIME format.
--------------BDCF98768F93BC16BD046215
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Roman Zippel wrote:
> > Did you get the last of my diffs (the jne/jeq stuff) ? Not sure I ever sent
> > it out ....
> 
> Hmm, I think I didn't got them, anyway I'm going to test that code over
> the weekend, so that I'm sure that the mapping code does what I want, at
> least until turning on the mmu.

Ok, found them. That'll help compiling with Mac support ...


	Michael
--------------BDCF98768F93BC16BD046215
Content-Type: application/octet-stream; name="rz-head.S-3"
Content-Transfer-Encoding: x-uuencode
Content-Disposition: attachment; filename="rz-head.S-3"

--- linux-2.1.131/arch/m68k/kernel/head.S.org.rz	Wed Dec 30 09:07:49 1998
+++ linux-2.1.131/arch/m68k/kernel/head.S	Fri Jan  1 17:59:22 1999
@@ -285,7 +285,7 @@
  * Macintosh serial debug port selection; define one or both;
  *   requires MAC_SERIAL_DEBUG to be defined
  */
-#undef  MAC_USE_SCC_A		/* Macintosh modem serial port */
+#define  MAC_USE_SCC_A		/* Macintosh modem serial port */
 #define MAC_USE_SCC_B		/* Macintosh printer serial port */
 
 #endif	/* CONFIG_MAC */
@@ -293,7 +293,7 @@
 #undef MMU_PRINT
 #undef MMU_NOCACHE_KERNEL
 #define SERIAL_DEBUG
-#define DEBUG
+#undef DEBUG
 #undef MMU_PRINT_PAGE_USAGE
 
 /*
@@ -305,7 +305,6 @@
 /* #define FONT_6x11	/* 3rd choice */
 
 .globl SYMBOL_NAME(kernel_pg_dir)
-.globl SYMBOL_NAME(kpt)
 .globl SYMBOL_NAME(availmem)
 .globl SYMBOL_NAME(m68k_pgtable_cachemode)
 .globl SYMBOL_NAME(m68k_supervisor_cachemode)
@@ -316,6 +315,17 @@
 .globl SYMBOL_NAME(atari_mch_type)
 #endif
 
+#if defined(CONFIG_MAC)
+.globl SYMBOL_NAME(mac_booter_data)
+.globl SYMBOL_NAME(compat_bi)
+.globl SYMBOL_NAME(mac_videobase)
+.globl SYMBOL_NAME(mac_videodepth)
+.globl SYMBOL_NAME(mac_rowbytes)
+#ifdef MAC_SERIAL_DEBUG
+.globl SYMBOL_NAME(mac_sccbase)
+#endif	/* MAC_SERIAL_DEBUG */
+#endif
+
 D6B_0460 = 16		/* indicates 680[46]0 in d6 */
 D6B_060  = 17		/* indicates 68060 in d6 */
 D6F_040  = 1<<D6B_0460
@@ -441,6 +451,7 @@
 .endm
 
 func_define	mmu_map,4
+func_define	mmu_map_tt,3
 func_define	mmu_fixup_page_mmu_cache,1
 func_define	mmu_temp_map,2
 func_define	mmu_engage,0
@@ -462,14 +473,16 @@
 func_define	serial_putc,1
 func_define	serial_putnum,1
 func_define	serial_puts,1
+func_define	console_putc,1
 func_define	console_putnum,1
+func_define	console_puts,1
 
 .macro	putc	ch
 #if defined(CONSOLE) || defined(SERIAL_DEBUG)
 	pea	\ch
 #endif
 #ifdef CONSOLE
-	func_call	console_putc
+	| func_call	console_putc
 #endif
 #ifdef SERIAL_DEBUG
 	func_call	serial_putc
@@ -487,13 +500,25 @@
 
 .macro	putn	nr
 #ifdef CONSOLE
-	console_putnum	\nr
+	| pea	\nr
+	| func_call	console_putnum
 #endif
 #ifdef SERIAL_DEBUG
 	serial_putnum	\nr
 #endif
 .endm
 
+.macro	putr
+#ifdef CONSOLE
+	putc('\r')
+	putc('\n')
+#endif
+#ifdef SERIAL_DEBUG
+	serial_putc	#'\r'
+	serial_putc	#'\n'
+#endif
+.endm
+
 .macro	dputn	nr
 #ifdef DEBUG
 	putn	\nr
@@ -509,7 +534,7 @@
 	pea	%pc@(.Lstr\@)
 #endif
 #ifdef CONSOLE
-	func_call	console_puts
+	| func_call	console_puts
 #endif
 #ifdef SERIAL_DEBUG
 	func_call	serial_puts
@@ -614,44 +639,44 @@
 	is_not_mac(.Ltest_notmac)
 
 	get_bi_record	BI_MAC_VADDR
-	lea	%pc@(.Lmac_videobase),%a1
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a1;
 	movel	%a0@,%a1@
 
 	get_bi_record	BI_MAC_VDEPTH
-	lea	%pc@(.Lmac_videodepth),%a1
+	lea	%pc@(SYMBOL_NAME(mac_videodepth)),%a1
 	movel	%a0@,%a1@
 
 	get_bi_record	BI_MAC_VDIM
-	lea	%pc@(.Lmac_dimensions),%a1
+	lea	%pc@(SYMBOL_NAME(mac_dimensions)),%a1
 	movel	%a0@,%a1@
 
 	get_bi_record	BI_MAC_VROW
-	lea	%pc@(.Lmac_rowbytes),%a1
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a1
 	movel	%a0@,%a1@
 
 #ifdef MAC_SERIAL_DEBUG
 	get_bi_record	BI_MAC_SCCBASE
-	lea	%pc@(.Lmac_sccbase),%a1
+	lea	%pc@(SYMBOL_NAME(mac_sccbase)),%a1
 	movel	%a0@,%a1@
 #endif /* MAC_SERIAL_DEBUG */
 
-#if 0
+#if 1
 	/*
 	 * Clear the screen
 	 */
-	lea	%pc@(.Lmac_videobase),%a0
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a0
 	movel	%a0@,%a1
-	lea	%pc@(.Lmac_dimensions),%a0
+	lea	%pc@(SYMBOL_NAME(mac_dimensions)),%a0
 	movel	%a0@,%d1
 	swap	%d1		/* #rows is high bytes */
 	andl	#0xFFFF,%d1	/* rows */
-	subl	#10,%d1
-	lea	%pc@(.Lmac_rowbytes),%a0
+	subl	#6,%d1
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a0
 loopy2:
 	movel	%a0@,%d0
 	subql	#1,%d0
 loopx2:
-	moveb	#0x55, %a1@+
+	moveb	#0xFF, %a1@+
 	dbra	%d0,loopx2
 	dbra	%d1,loopy2
 #endif
@@ -667,6 +692,7 @@
  * number which allows for the standard is_0x0 macro tests.
  */
 	movel	%pc@(SYMBOL_NAME(m68k_cputype)),%d0
+
 	/*
 	 * Assume it's an 020/030
 	 */
@@ -694,10 +720,11 @@
 	 * Test the BootInfo cputype for 020
 	 */
 	btst	#CPUB_68020,%d0
-	jeq	2f
+	jeq	3f
 	bset	#CPUTYPE_020,%d1
 	jra	3f
 3:
+
 	/*
 	 * Record the cpu type
 	 */
@@ -754,6 +781,7 @@
 	lea	%pc@(SYMBOL_NAME(m68k_pgtable_cachemode)),%a0
 	movel	%d1,%a0@
 
+
 /*
  * raise interrupt level
  */
@@ -822,7 +850,6 @@
 .Lnocon:
 #endif	/* CONFIG_MAC */
 
-
 	putc	'\n'
 	putc	'A'
 
@@ -1040,7 +1067,7 @@
 
 	putc	'F'
 
-	lea	%pc@(.Lmac_videobase),%a0
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a0
 	lea	%pc@(.Lconsole_video_virtual),%a1
 	movel	%a0@,%a1@
 
@@ -1060,9 +1087,9 @@
 	lea	%pc@(SYMBOL_NAME(mac_dimensions)),%a0
 	movew	%a0@,%d0		/* d0 = screen height in pixels */
 
-	lea	%pc@(.Lmac_rowbytes),%a0
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a0
 	mulul	%a0@,%d0		/* scan line bytes x num scan lines */
-	lea	%pc@(.Lmac_videobase),%a0
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a0
 	movel	%a0@,%d2		/* grab screen offset from start of a page */
 	andl	#PAGESIZE-1,%d2		/* ... offset from start of page ... */
 	addl	%d2,%d0			/* add it to N bytes needed for screen for mapping purposes! */
@@ -1084,7 +1111,7 @@
 	mmu_map_eq	#0x9c000000,#0x00400000,%d3
 	mmu_map_tt	#0xf8000000,#0x08000000,%d3
 
-	jbra	mmu_init_done
+	jbra	.Lmmu_init_done
 
 .Lmmu_init_not_mac:
 #endif
@@ -1207,6 +1234,8 @@
 
 	mmu_engage
 
+	| putc	'X'
+
 #if defined(CONFIG_AMIGA)
 	is_not_amiga(1f)
 	/* fixup the Amiga custom register location before printing */
@@ -1225,7 +1254,7 @@
 #if defined(CONFIG_MAC)
 	is_not_mac(1f)
 	lea	%pc@(.Lconsole_video_virtual),%a1
-	lea	%pc@(.Lmac_videobase),%a3
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a3
 	movel	%a1@,%a3@
 1:
 #endif
@@ -1481,19 +1510,19 @@
 	is_not_040_or_060(mmu_030_print)
 
 mmu_040_print:
-	putr()
-	puts("MMU040")
-	putr()
-	putr()
-	puts("rp:")
+	putr
+	puts	"MMU040"
+	putr
+	putr
+	puts	"rp:"
 	movel	%a5,%d7
 	jbsr	.Lserial_putnum
-	putr()
-	puts("tc:")
+	putr
+	puts	"tc:"
 	movel	%d5,%d7
 	jbsr	.Lserial_putnum
-	putr()
-	putr()
+	putr
+	putr
 #if 0
 	/*
 	 * The following #if/#endif block is a tight algorithm for dumping the 040
@@ -1538,7 +1567,7 @@
 	subq	#1,%d2
 	putc(' ')
 	jbra	91f
-8:	putr()
+8:	putr
 	movel	#8+1+8+1+1,%d2
 9:	putc(' ')
 	dbra	%d2,9b
@@ -1547,13 +1576,13 @@
 	jbsr	.Lserial_putnum
 	jbra	6b
 
-31:	putr()
+31:	putr
 	movel	#8+1,%d2
 32:	putc(' ')
 	dbra	%d2,32b
 	jbra	3b
 
-11:	putr()
+11:	putr
 	jbra	1b
 #endif /* MMU 040 Dumping code that's gory and detailed */
 
@@ -1627,7 +1656,7 @@
 	movel	%d0,%d1
 	andil	#0xff000000,%d1		/* Get the address */
 	putn(%d1)
-	puts("==")
+	puts	"=="
 	putn(%d1)
 
 	movel	%d0,%d6
@@ -1665,14 +1694,14 @@
 	puts("rp:")
 	movel	%a5,%d7
 	jbsr	.Lserial_putnum
-	putr()
-	puts("tc:")
+	putr
+	puts	"tc:"
 	movel	%d5,%d7
 	jbsr	.Lserial_putnum
-	putr()
-	putr()
-	puts("MMU030")
-	putr()
+	putr
+	putr
+	puts	"MMU030"
+	putr
 	movel	%a5,%d0
 	andil	#0xfffffff0,%d0
 	movel	%d0,%a0
@@ -1739,8 +1768,8 @@
 	jbne	30b
 
 mmu_print_done:
-	putr()
-	putr()
+	putr
+	putr
 
 	moveml	%sp@+,%a0-%a6/%d0-%d7
 	rts
@@ -1766,8 +1795,8 @@
 	movel	%a4,%d7
 	jbsr	.Lserial_putnum
 
-	puts("##")
-	putr()
+	puts	"##"
+	putr
 
 mmu_print_tuple_invalidate_exit:
 	moveml	%sp@+,%a0/%d7
@@ -1792,7 +1821,7 @@
 	movel	%d0,%d7
 	jbsr	.Lserial_putnum
 
-	puts("->")
+	puts	"->"
 
 	movel	%d1,%d7
 	jbsr	.Lserial_putnum
@@ -1815,23 +1844,23 @@
 	rts
 
 mmu_print_machine_cpu_types:
-	puts("machine: ")
+	puts	"machine: "
 
 	is_not_amiga(1f)
-	puts("amiga")
+	puts	"amiga"
 	jbra	9f
 1:
 	is_not_atari(2f)
-	puts("atari")
+	puts	"atari"
 	jbra	9f
 2:
 	is_not_mac(3f)
-	puts("macintosh")
+	puts	"macintosh"
 	jbra	9f
-3:	puts("unknown")
-9:	putr()
+3:	puts	"unknown"
+9:	putr
 
-	puts("cputype: 0")
+	puts	"cputype: 0"
 	is_not_060(1f)
 	putc('6')
 	jbra	9f
@@ -1841,7 +1870,7 @@
 	jbra	9f
 2:	putc('3')
 9:	putc('0')
-	putr()
+	putr
 
 	rts
 #endif /* MMU_PRINT */
@@ -2322,7 +2351,9 @@
 	subl	%d2,%sp
 	subl	%d2,ARG0
 	subl	%d2,.Lmemory_start
+#if defined(CONFIG_AMIGA) || defined(CONFIG_HP300)
 	clrl	.Lcustom
+#endif
 
 func_return	mmu_engage
 
@@ -2552,8 +2583,8 @@
 #if defined(CONFIG_ATARI)
 /* #define USE_PRINTER */
 /* #define USE_SCC_B */
-/* #define USE_SCC_A */
-#define USE_MFP
+#define USE_SCC_A
+/* #define USE_MFP */
 
 #if defined(USE_SCC_A) || defined(USE_SCC_B)
 #define USE_SCC
@@ -2596,22 +2627,6 @@
 LSCC_CTRL	= 0xff8c81
 LSCC_DATA	= 0xff8c83
 
-/* Initialisation table for SCC */
-.Lscc_initable:
-	.byte	9,12		/* Reset */
-	.byte	4,0x44		/* x16, 1 stopbit, no parity */
-	.byte	3,0xc0		/* receiver: 8 bpc */
-	.byte	5,0xe2		/* transmitter: 8 bpc, assert dtr/rts */
-	.byte	9,0		/* no interrupts */
-	.byte	10,0		/* NRZ */
-	.byte	11,0x50		/* use baud rate generator */
-	.byte	12,24,13,0	/* 9600 baud */
-	.byte	14,2,14,3	/* use master clock for BRG, enable */
-	.byte	3,0xc1		/* enable receiver */
-	.byte	5,0xea		/* enable transmitter */
-	.byte	-1
-	.even
-
 #elif defined(USE_MFP)
 
 LMFP_UCR     = 0xfffa29
@@ -2706,7 +2721,7 @@
 
 #ifdef MAC_USE_SCC_A
 	/* Initialize channel A */
-	movel	%pc@(.Lmac_sccbase),%a0
+	movel	%pc@(SYMBOL_NAME(mac_sccbase)),%a0
 	lea	%pc@(.Lscc_initable_mac),%a1
 5:	moveb	%a1@+,%d0
 	jmi	6f
@@ -2719,7 +2734,7 @@
 #ifdef MAC_USE_SCC_B
 	/* Initialize channel B */
 #ifndef MAC_USE_SCC_A	/* Load mac_sccbase only if needed */
-	movel	%pc@(.Lmac_sccbase),%a0
+	movel	%pc@(SYMBOL_NAME(mac_sccbase)),%a0
 #endif	/* MAC_USE_SCC_A */
 	lea	%pc@(.Lscc_initable_mac),%a1
 7:	moveb	%a1@+,%d0
@@ -2768,13 +2783,14 @@
 	is_not_mac(5f)
 
 #if defined(CONSOLE)
-	console_putc	%d0
+	movel	%d0,%d7
+	jsr .Lconsole_putc
 #endif /* CONSOLE */
 
 #if defined(MAC_SERIAL_DEBUG)
 
 #ifdef MAC_USE_SCC_A
-	movel	%pc@(.Lmac_sccbase),%a1
+	movel	%pc@(SYMBOL_NAME(mac_sccbase)),%a1
 3:	btst	#2,%a1@(mac_scc_cha_a_ctrl_offset)
 	jeq	3b
 	moveb	%d0,%a1@(mac_scc_cha_a_data_offset)
@@ -2782,7 +2798,7 @@
 
 #ifdef MAC_USE_SCC_B
 #ifndef MAC_USE_SCC_A	/* Load mac_sccbase only if needed */
-	movel	%pc@(.Lmac_sccbase),%a1
+	movel	%pc@(SYMBOL_NAME(mac_sccbase)),%a1
 #endif	/* MAC_USE_SCC_A */
 4:	btst	#2,%a1@(mac_scc_cha_b_ctrl_offset)
 	jeq	4b
@@ -2946,11 +2962,11 @@
 	moveml	%a0-%a4/%d0-%d7,%sp@-
 
 	lea	%pc@(SYMBOL_NAME(.Lconsole_globals)),%a2
-	lea	%pc@(.Lmac_videobase),%a0
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a0
 	movel	%a0@,%a1
-	lea	%pc@(.Lmac_rowbytes),%a0
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a0
 	movel	%a0@,%d5
-	lea	%pc@(.Lmac_dimensions),%a0
+	lea	%pc@(SYMBOL_NAME(mac_dimensions)),%a0
 	movel	%a0@,%d3	/* -> low byte */
 	movel	%d3,%d4
 	swap	%d4		/* -> high byte */
@@ -2958,7 +2974,7 @@
 	andl	#0xffff,%d4	/* d4 = screen height in pixels */
 
 	movel	%d5,%d6
-	subl	#20,%d6
+	subl	#1,%d6
 	mulul	%d4,%d6		/* scan line bytes x num scan lines */
 	divul	#8,%d6		/* we'll clear 8 bytes at a time */
 	subq	#1,%d6
@@ -3024,47 +3040,49 @@
 	 */
 	moveml	%a0/%d7,%sp@-
 
-	putr()
-	puts("MacLinux")
-	putr()
-	putr()
+	putr
+	puts	"MacLinux"
+	putr
+	putr
 
 #if defined(SERIAL_DEBUG)
-	puts(" vidaddr:")
-	lea	%pc@(.Lmac_videobase),%a0
+	puts	" vidaddr:"
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a0
 	movel	%a0@,%d7			/* video addr. */
 	jbsr	.Lserial_putnum			/* This redirects to console */
-	putr()
+	putr
 
-	puts("  _stext:")
+	puts	"  _stext:"
 	lea	%pc@(SYMBOL_NAME(_stext)),%a0
 	movel	%a0,%d7		/* get start addr. */
 	jbsr	.Lserial_putnum
-	putr()
+	putr
 
-	puts("bootinfo:")
+	puts	"bootinfo:"
 	lea	%pc@(SYMBOL_NAME(_end)),%a0
 	movel	%a0, %d7	/* write start addr. */
 	jbsr	.Lserial_putnum
-	putr()
+	putr
 
-	puts("     kpt:")
+#if 0
+	puts	"     kpt:"
 	lea	%pc@(SYMBOL_NAME(kpt)),%a0
 	movel	%a0,%d7		/* get start addr. */
 	jbsr	.Lserial_putnum
-	putr()
+	putr
 
-	puts("    *kpt:")
+	puts	"    *kpt:"
 	lea	%pc@(SYMBOL_NAME(kpt)),%a0
 	movel	%a0@,%d7	/* get start addr. */
 	jbsr	.Lserial_putnum
-	putr()
+	putr
+#endif
 
-	puts("cpuid:")
+	puts	"cpuid:"
 	lea	%pc@(SYMBOL_NAME(.Lcputype)),%a0
 	movel	%a0@,%d7
 	jbsr	.Lserial_putnum
-	putr()
+	putr
 
 #  if defined(MMU_PRINT)
 	jbsr	mmu_print_machine_cpu_types
@@ -3082,7 +3100,7 @@
 	 */
 	moveml	%a0-%a1/%d0-%d7,%sp@-
 
-	lea	%pc@(.Lmac_dimensions),%a0
+	lea	%pc@(SYMBOL_NAME(mac_dimensions)),%a0
 	movel	%a0@,%d0
 	andil	#0xffff,%d0
 	subil	#64,%d0		/* snug up against the right edge */
@@ -3117,10 +3135,10 @@
 	 *	output	a1 = dest
 	 *		a2 = source
 	 */
-	lea	%pc@(.Lmac_videobase),%a0
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a0
 	movel	%a0@,%a1
 	movel	%a1,%a2
-	lea	%pc@(.Lmac_rowbytes),%a0
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a0
 	movel	%a0@,%d5
 	movel	%pc@(SYMBOL_NAME(.Lconsole_font)),%a0
 	mulul	%a0@(FBCON_FONT_DESC_height),%d5	/* account for # scan lines per character */
@@ -3129,7 +3147,7 @@
 	/*
 	 * Get dimensions
 	 */
-	lea	%pc@(.Lmac_dimensions),%a0
+	lea	%pc@(SYMBOL_NAME(mac_dimensions)),%a0
 	movel	%a0@,%d3
 	movel	%d3,%d4
 	swap	%d4
@@ -3139,7 +3157,7 @@
 	/*
 	 * Calculate number of bytes to move
 	 */
-	lea	%pc@(.Lmac_rowbytes),%a0
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a0
 	movel	%a0@,%d6
 	movel	%pc@(SYMBOL_NAME(.Lconsole_font)),%a0
 	subl	%a0@(FBCON_FONT_DESC_height),%d4	/* we're not scrolling the top row! */
@@ -3158,7 +3176,7 @@
 	movel	%a2@+,%a1@+
 	dbra	%d6,console_scroll_loop
 
-	lea	%pc@(.Lmac_rowbytes),%a0
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a0
 	movel	%a0@,%d6
 	movel	%pc@(SYMBOL_NAME(.Lconsole_font)),%a0
 	mulul	%a0@(FBCON_FONT_DESC_height),%d6	/* scan line bytes x font height */
@@ -3228,12 +3246,12 @@
  */
 console_not_home:
 	movel	%a0@(Lconsole_struct_cur_column),%d0
-	addil	#1,%a0@(.Lconsole_struct_cur_column)
+	addil	#1,%a0@(Lconsole_struct_cur_column)
 	movel	%a0@(Lconsole_struct_num_columns),%d1
 	cmpl	%d1,%d0
 	jcs	1f
 	movel	%d7,%sp@-
-	putr()		/* recursion is OK! */
+	putr		/* recursion is OK! */
 	movel	%sp@+,%d7
 1:
 	movel	%a0@(Lconsole_struct_cur_row),%d1
@@ -3296,11 +3314,11 @@
 	 */
 	moveml	%a0-%a1/%d0-%d4,%sp@-
 
-	lea	%pc@(.Lmac_videobase),%a0
+	lea	%pc@(SYMBOL_NAME(mac_videobase)),%a0
 	movel	%a0@,%a1
-	lea	%pc@(.Lmac_videodepth),%a0
+	lea	%pc@(SYMBOL_NAME(mac_videodepth)),%a0
 	movel	%a0@,%d3
-	lea	%pc@(.Lmac_rowbytes),%a0
+	lea	%pc@(SYMBOL_NAME(mac_rowbytes)),%a0
 	mulul	%a0@,%d1
 
 	/*
@@ -3425,25 +3443,25 @@
  */
 .Lshowtest:
 	moveml	%a0/%d7,%sp@-
-	puts("A=")
+	puts	"A="
 	putn(%a1)
 
 	.long	0xf0119f15		| ptestr	#5,%a1@,#7,%a0
 
-	puts("DA=")
+	puts	"DA="
 	putn(%a0)
 
-	puts("D=")
+	puts	"D="
 	putn(%a0@)
 
-	puts("S=")
+	puts	"S="
 	lea	%pc@(.Lmmu),%a0
 	.long	0xf0106200		| pmove		%psr,%a0@
 	clrl	%d7
 	movew	%a0@,%d7
 	jbsr	.Lserial_putnum
 
-	putr()
+	putr
 	moveml	%sp@+,%a0/%d7
 	rts
 #endif	/* 0 */
@@ -3451,7 +3469,7 @@
 __INITDATA
 	.align	4
 
-#if defined(CONFIG_ATARI) || defined(CONFIG_AMIGA)
+#if defined(CONFIG_ATARI) || defined(CONFIG_AMIGA) || defined(CONFIG_HP300)
 .Lcustom:
 .Liobase:
 	.long 0
@@ -3513,26 +3531,26 @@
 #endif
 #endif
 
+__FINIT
+	.data
+	.align	4
+
 #if defined(CONFIG_MAC)
-SYMBOL_NAME_LABEL(.Lmac_booter_data)
+SYMBOL_NAME_LABEL(mac_booter_data)
 	.long	0
-SYMBOL_NAME_LABEL(.Lmac_videobase)
+SYMBOL_NAME_LABEL(mac_videobase)
 	.long	0
-SYMBOL_NAME_LABEL(.Lmac_videodepth)
+SYMBOL_NAME_LABEL(mac_videodepth)
 	.long	0
-SYMBOL_NAME_LABEL(.Lmac_dimensions)
+SYMBOL_NAME_LABEL(mac_dimensions)
 	.long	0
-SYMBOL_NAME_LABEL(.Lmac_rowbytes)
+SYMBOL_NAME_LABEL(mac_rowbytes)
 	.long	0
 #ifdef MAC_SERIAL_DEBUG
-SYMBOL_NAME_LABEL(.Lmac_sccbase)
+SYMBOL_NAME_LABEL(mac_sccbase)
 	.long	0
 #endif /* MAC_SERIAL_DEBUG */
 #endif
-
-__FINIT
-	.data
-	.align	4
 
 SYMBOL_NAME_LABEL(availmem)
 	.long	0

--------------BDCF98768F93BC16BD046215--

